import{s as zt,o as At,n as Pt}from"../chunks/scheduler.c59d9fbb.js";import{S as Et,i as Dt,g as i,s as o,r as ie,A as Bt,h as a,f as c,c as n,j as ae,u as le,x as s,k as Ft,y as t,a as f,v as se,d as re,t as de,w as ce}from"../chunks/index.a47918e3.js";import{T as Nt}from"../chunks/Tip.3fcf4aa4.js";import{H as pe}from"../chunks/Heading.604bc707.js";function Wt(fe){let h,v=`When set to <code>True</code>, the parameters <code>save_strategy</code> needs to be the same as <code>evaluation_strategy</code>, and in
the case it is “steps”, <code>save_steps</code> must be a round multiple of <code>eval_steps</code>.`;return{c(){h=i("p"),h.innerHTML=v},l(g){h=a(g,"P",{"data-svelte-h":!0}),s(h)!=="svelte-15y9r2p"&&(h.innerHTML=v)},m(g,S){f(g,h,S)},p:Pt,d(g){g&&c(h)}}}function jt(fe){let h,v,g,S,_,he,b,tt="To update your code to work with v1.0.0, the following changes must be made:",ge,T,me,w,ot="<li><code>keep_body_frozen</code> from <code>SetFitModel.unfreeze</code> has been deprecated, simply either pass <code>&quot;head&quot;</code>, <code>&quot;body&quot;</code> or no arguments to unfreeze both.</li> <li><code>SupConLoss</code> has been moved from <code>setfit.modeling</code> to <code>setfit.losses</code>. If you are importing it using <code>from setfit.modeling import SupConLoss</code>, then import it like <code>from setfit import SupConLoss</code> now instead.</li> <li><code>use_auth_token</code> has been renamed to <code>token</code> in <code>SetFitModel.from_pretrained()</code>. <code>use_auth_token</code> will keep working until the next major version, but with a warning.</li>",ve,L,_e,M,nt='<li><p>Replace all uses of <code>SetFitTrainer</code> with <a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.Trainer">Trainer</a>, and all uses of <code>DistillationSetFitTrainer</code> with <a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.DistillationTrainer">DistillationTrainer</a>.</p></li> <li><p>Remove <code>num_iterations</code>, <code>num_epochs</code>, <code>learning_rate</code>, <code>batch_size</code>, <code>seed</code>, <code>use_amp</code>, <code>warmup_proportion</code>, <code>distance_metric</code>, <code>margin</code>, <code>samples_per_label</code> and <code>loss_class</code> from a <code>Trainer</code> initialization, and move them to a <code>TrainerArguments</code> initialization instead. This instance should then be passed to the trainer via the <code>args</code> argument.</p> <ul><li><code>num_iterations</code> has been deprecated, the number of training steps should now be controlled via <code>num_epochs</code>, <code>max_steps</code> or <a href="https://huggingface.co/docs/transformers/main_classes/callback#transformers.EarlyStoppingCallback" rel="nofollow"><code>EarlyStoppingCallback</code></a>.</li> <li><code>learning_rate</code> has been split up into <code>body_learning_rate</code> and <code>head_learning_rate</code>.</li> <li><code>loss_class</code> has been renamed to <code>loss</code>.</li></ul></li> <li><p>Stop providing training arguments like <code>num_epochs</code> directly to <code>Trainer.train</code>: pass a <code>TrainingArguments</code> instance via the <code>args</code> argument instead.</p></li> <li><p>Refactor multiple <code>trainer.train()</code>, <code>trainer.freeze()</code> and <code>trainer.unfreeze()</code> calls that were previously necessary to train the differentiable head into just one <code>trainer.train()</code> call by setting <code>batch_size</code> and <code>num_epochs</code> on the <code>TrainingArguments</code> dataclass with tuples. The first value in the tuple is for training the embeddings, and the second is for training the classifier.</p></li>',be,y,Te,H,it="<li><code>SetFitBaseModel</code>, <code>SKLearnWrapper</code> and <code>SetFitPipeline</code> have been removed. These can no longer be used starting from v1.0.0.</li>",we,q,Le,$,at="This list contains new functionality that can be used starting from v1.0.0.",Me,u,k,lt='<p><code>SetFitModel.from_pretrained()</code> now accepts new arguments:</p> <ul><li><code>device</code>: Specifies the device on which to load the SetFit model.</li> <li><code>labels</code>: Specify labels corresponding to the training labels - useful if the training labels are integers ranging from <code>0</code> to <code>num_classes - 1</code>. These are automatically applied on calling <a href="/docs/setfit/v1.0.2/en/reference/main#setfit.PolarityModel.predict">SetFitModel.predict()</a>.</li> <li><code>model_card_data</code>: Provide a <a href="/docs/setfit/v1.0.2/en/reference/main#setfit.SetFitModelCardData">SetFitModelCardData</a> instance storing data such as model language, license, dataset name, etc. to be used in the automatically generated model cards.</li></ul>',xe,I,st="<p>Certain SetFit configuration options, such as the new <code>labels</code> argument from <code>SetFitModel.from_pretrained()</code>, now get saved in <code>config_setfit.json</code> files when a model is saved. This allows <code>labels</code> to be automatically fetched when a model is loaded.</p>",Ce,F,rt='<p><a href="/docs/setfit/v1.0.2/en/reference/main#setfit.PolarityModel.predict">SetFitModel.predict()</a> now accepts new arguments:</p> <ul><li><code>batch_size</code> (defaults to <code>32</code>): The batch size to use in encoding the sentences to embeddings. Higher often means faster processing but higher memory usage.</li> <li><code>use_labels</code> (defaults to <code>True</code>): Whether to use the <code>SetFitModel.labels</code> to convert integer labels to string labels. Not used if the training labels are already strings.</li></ul>',Se,z,dt='<p><a href="/docs/setfit/v1.0.2/en/reference/main#setfit.SetFitModel.encode">SetFitModel.encode()</a> has been introduce to convert input sentences to embeddings using the <code>SentenceTransformer</code> body.</p>',ke,A,ct='<p><a href="/docs/setfit/v1.0.2/en/reference/main#setfit.PolarityModel.device">SetFitModel.device</a> has been introduced to determine the device of the model.</p>',Ie,P,ut='<p><a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.AbsaTrainer">AbsaTrainer</a> and <a href="/docs/setfit/v1.0.2/en/reference/main#setfit.AbsaModel">AbsaModel</a> have been introduced for applying <a href="absa">SetFit for Aspect Based Sentiment Analysis</a>.</p>',Fe,E,pt='<p><a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.Trainer">Trainer</a> now supports a <code>callbacks</code> argument for a list of <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback" rel="nofollow"><code>transformers</code> <code>TrainerCallback</code> instances</a>.</p> <ul><li>By default, all installed callbacks integrated with <code>transformers</code> are supported, including <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback#transformers.integrations.TensorBoardCallback" rel="nofollow"><code>TensorBoardCallback</code></a>, <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback#transformers.integrations.WandbCallback" rel="nofollow"><code>WandbCallback</code></a> to log training logs to <a href="https://www.tensorflow.org/tensorboard" rel="nofollow">TensorBoard</a> and <a href="https://wandb.ai" rel="nofollow">W&amp;B</a>, respectively.</li> <li>The <a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.Trainer">Trainer</a> will now print <code>embedding_loss</code> in the terminal, as well as <code>eval_embedding_loss</code> if <code>evaluation_strategy</code> is set to <code>&quot;epoch&quot;</code> or <code>&quot;steps&quot;</code> in <a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.TrainingArguments">TrainingArguments</a>.</li></ul>',ze,D,ft='<p><a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.DistillationTrainer.evaluate">Trainer.evaluate()</a> now works with string labels.</p>',Ae,B,ht="<p>An updated contrastive pair sampler increases the variety of training pairs.</p>",Pe,x,N,gt='<a href="/docs/setfit/v1.0.2/en/reference/trainer#setfit.TrainingArguments">TrainingArguments</a> supports various new arguments:',Ee,l,W,mt="<p><code>output_dir</code>: The output directory where the model predictions and checkpoints will be written.</p>",De,j,vt="<p><code>max_steps</code>: If set to a positive number, the total number of training steps to perform. Overrides num_epochs. The training may stop before reaching the set number of steps when all data is exhausted.</p>",Be,G,_t="<p><code>sampling_strategy</code>: The sampling strategy of how to draw pairs in training. Possible values are:</p> <ul><li><code>&quot;oversampling&quot;</code>: Draws even number of positive/negative sentence pairs until every sentence pair has been drawn.</li> <li><code>&quot;undersampling&quot;</code>: Draws the minimum number of positive/negative sentence pairs until every sentence pair in the minority class has been drawn.</li> <li><code>&quot;unique&quot;</code>: Draws every sentence pair combination (likely resulting in unbalanced number of positive/negative sentence pairs).</li></ul> <p>The default is set to <code>&quot;oversampling&quot;</code>, ensuring all sentence pairs are drawn at least once. Alternatively, setting <code>num_iterations</code> will override this argument and determine the number of generated sentence pairs.</p>",Ne,U,bt="<p><code>report_to</code>: The list of integrations to report the results and logs to. Supported platforms are <code>&quot;azure_ml&quot;</code>, <code>&quot;comet_ml&quot;</code>, <code>&quot;mlflow&quot;</code>, <code>&quot;neptune&quot;</code>, <code>&quot;tensorboard&quot;</code>,<code>&quot;clearml&quot;</code> and <code>&quot;wandb&quot;</code>. Use <code>&quot;all&quot;</code> to report to all integrations installed, <code>&quot;none&quot;</code> for no integrations.</p>",We,R,Tt='<p><code>run_name</code>: A descriptor for the run. Typically used for <a href="https://wandb.ai/" rel="nofollow">wandb</a> and <a href="https://www.mlflow.org/" rel="nofollow">mlflow</a> logging.</p>',je,O,wt="<p><code>logging_strategy</code>: The logging strategy to adopt during training. Possible values are:</p> <ul><li><code>&quot;no&quot;</code>: No logging is done during training.</li> <li><code>&quot;epoch&quot;</code>: Logging is done at the end of each epoch.</li> <li><code>&quot;steps&quot;</code>: Logging is done every <code>logging_steps</code>.</li></ul>",Ge,K,Lt="<p><code>logging_first_step</code>: Whether to log and evaluate the first <code>global_step</code> or not.</p>",Ue,J,Mt="<p><code>logging_steps</code>: Number of update steps between two logs if <code>logging_strategy=&quot;steps&quot;</code>.</p>",Re,Q,yt="<p><code>evaluation_strategy</code>: The evaluation strategy to adopt during training. Possible values are:</p> <ul><li><code>&quot;no&quot;</code>: No evaluation is done during training.</li> <li><code>&quot;steps&quot;</code>: Evaluation is done (and logged) every <code>eval_steps</code>.</li> <li><code>&quot;epoch&quot;</code>: Evaluation is done at the end of each epoch.</li></ul>",Oe,V,Ht="<p><code>eval_steps</code>: Number of update steps between two evaluations if <code>evaluation_strategy=&quot;steps&quot;</code>. Will default to the same as <code>logging_steps</code> if not set.</p>",Ke,X,qt="<p><code>eval_delay</code>: Number of epochs or steps to wait for before the first evaluation can be performed, depending on the <code>evaluation_strategy</code>.</p>",Je,Y,$t="<p><code>eval_max_steps</code>: If set to a positive number, the total number of evaluation steps to perform. The evaluation may stop before reaching the set number of steps when all data is exhausted.</p>",Qe,Z,xt="<p><code>save_strategy</code>: The checkpoint save strategy to adopt during training. Possible values are:</p> <ul><li><code>&quot;no&quot;</code>: No save is done during training.</li> <li><code>&quot;epoch&quot;</code>: Save is done at the end of each epoch.</li> <li><code>&quot;steps&quot;</code>: Save is done every <code>save_steps</code>.</li></ul>",Ve,ee,Ct="<p><code>save_steps</code>: Number of updates steps before two checkpoint saves if <code>save_strategy=&quot;steps&quot;</code>.</p>",Xe,te,St="<p><code>save_total_limit</code>: If a value is passed, will limit the total amount of checkpoints. Deletes the older checkpoints in <code>output_dir</code>. Note, the best model is always preserved if the <code>evaluation_strategy</code> is not <code>&quot;no&quot;</code>.</p>",Ye,C,oe,kt="<code>load_best_model_at_end</code>: Whether or not to load the best model found during training at the end of training.",Ze,m,et,ne,It='<p>Pushing SetFit or SetFitABSA models to the Hub with <code>SetFitModel.push_to_hub()</code> or <a href="/docs/setfit/v1.0.2/en/reference/main#setfit.AbsaModel.push_to_hub">AbsaModel.push_to_hub()</a> now results in a detailed model card. As an example, see <a href="https://huggingface.co/tomaarsen/setfit-paraphrase-mpnet-base-v2-sst2-8-shot" rel="nofollow">this SetFitModel</a> or <a href="https://huggingface.co/tomaarsen/setfit-absa-bge-small-en-v1.5-restaurants-polarity" rel="nofollow">this SetFitABSA polarity model</a>.</p>',ye,ue,He;return _=new pe({props:{title:"SetFit v1.0.0 Migration Guide",local:"setfit-v100-migration-guide",headingTag:"h1"}}),T=new pe({props:{title:"General Migration Guide",local:"general-migration-guide",headingTag:"h2"}}),L=new pe({props:{title:"Training Migration Guide",local:"training-migration-guide",headingTag:"h2"}}),y=new pe({props:{title:"Hard deprecations",local:"hard-deprecations",headingTag:"h2"}}),q=new pe({props:{title:"v1.0.0 Changelog",local:"v100-changelog",headingTag:"h2"}}),m=new Nt({props:{$$slots:{default:[Wt]},$$scope:{ctx:fe}}}),{c(){h=i("meta"),v=o(),g=i("p"),S=o(),ie(_.$$.fragment),he=o(),b=i("p"),b.textContent=tt,ge=o(),ie(T.$$.fragment),me=o(),w=i("ol"),w.innerHTML=ot,ve=o(),ie(L.$$.fragment),_e=o(),M=i("ol"),M.innerHTML=nt,be=o(),ie(y.$$.fragment),Te=o(),H=i("ul"),H.innerHTML=it,we=o(),ie(q.$$.fragment),Le=o(),$=i("p"),$.textContent=at,Me=o(),u=i("ul"),k=i("li"),k.innerHTML=lt,xe=o(),I=i("li"),I.innerHTML=st,Ce=o(),F=i("li"),F.innerHTML=rt,Se=o(),z=i("li"),z.innerHTML=dt,ke=o(),A=i("li"),A.innerHTML=ct,Ie=o(),P=i("li"),P.innerHTML=ut,Fe=o(),E=i("li"),E.innerHTML=pt,ze=o(),D=i("li"),D.innerHTML=ft,Ae=o(),B=i("li"),B.innerHTML=ht,Pe=o(),x=i("li"),N=i("p"),N.innerHTML=gt,Ee=o(),l=i("ul"),W=i("li"),W.innerHTML=mt,De=o(),j=i("li"),j.innerHTML=vt,Be=o(),G=i("li"),G.innerHTML=_t,Ne=o(),U=i("li"),U.innerHTML=bt,We=o(),R=i("li"),R.innerHTML=Tt,je=o(),O=i("li"),O.innerHTML=wt,Ge=o(),K=i("li"),K.innerHTML=Lt,Ue=o(),J=i("li"),J.innerHTML=Mt,Re=o(),Q=i("li"),Q.innerHTML=yt,Oe=o(),V=i("li"),V.innerHTML=Ht,Ke=o(),X=i("li"),X.innerHTML=qt,Je=o(),Y=i("li"),Y.innerHTML=$t,Qe=o(),Z=i("li"),Z.innerHTML=xt,Ve=o(),ee=i("li"),ee.innerHTML=Ct,Xe=o(),te=i("li"),te.innerHTML=St,Ye=o(),C=i("li"),oe=i("p"),oe.innerHTML=kt,Ze=o(),ie(m.$$.fragment),et=o(),ne=i("li"),ne.innerHTML=It,ye=o(),ue=i("p"),this.h()},l(e){const r=Bt("svelte-u9bgzb",document.head);h=a(r,"META",{name:!0,content:!0}),r.forEach(c),v=n(e),g=a(e,"P",{}),ae(g).forEach(c),S=n(e),le(_.$$.fragment,e),he=n(e),b=a(e,"P",{"data-svelte-h":!0}),s(b)!=="svelte-azer33"&&(b.textContent=tt),ge=n(e),le(T.$$.fragment,e),me=n(e),w=a(e,"OL",{"data-svelte-h":!0}),s(w)!=="svelte-1n8vsgq"&&(w.innerHTML=ot),ve=n(e),le(L.$$.fragment,e),_e=n(e),M=a(e,"OL",{"data-svelte-h":!0}),s(M)!=="svelte-17mjz7"&&(M.innerHTML=nt),be=n(e),le(y.$$.fragment,e),Te=n(e),H=a(e,"UL",{"data-svelte-h":!0}),s(H)!=="svelte-1ecgqu2"&&(H.innerHTML=it),we=n(e),le(q.$$.fragment,e),Le=n(e),$=a(e,"P",{"data-svelte-h":!0}),s($)!=="svelte-7h26ho"&&($.textContent=at),Me=n(e),u=a(e,"UL",{});var p=ae(u);k=a(p,"LI",{"data-svelte-h":!0}),s(k)!=="svelte-1bfeglz"&&(k.innerHTML=lt),xe=n(p),I=a(p,"LI",{"data-svelte-h":!0}),s(I)!=="svelte-149bi8k"&&(I.innerHTML=st),Ce=n(p),F=a(p,"LI",{"data-svelte-h":!0}),s(F)!=="svelte-15de1zg"&&(F.innerHTML=rt),Se=n(p),z=a(p,"LI",{"data-svelte-h":!0}),s(z)!=="svelte-1sl55xb"&&(z.innerHTML=dt),ke=n(p),A=a(p,"LI",{"data-svelte-h":!0}),s(A)!=="svelte-7xwfgu"&&(A.innerHTML=ct),Ie=n(p),P=a(p,"LI",{"data-svelte-h":!0}),s(P)!=="svelte-gl3i2m"&&(P.innerHTML=ut),Fe=n(p),E=a(p,"LI",{"data-svelte-h":!0}),s(E)!=="svelte-zwy3h2"&&(E.innerHTML=pt),ze=n(p),D=a(p,"LI",{"data-svelte-h":!0}),s(D)!=="svelte-1k23bxv"&&(D.innerHTML=ft),Ae=n(p),B=a(p,"LI",{"data-svelte-h":!0}),s(B)!=="svelte-1w3jntv"&&(B.innerHTML=ht),Pe=n(p),x=a(p,"LI",{});var qe=ae(x);N=a(qe,"P",{"data-svelte-h":!0}),s(N)!=="svelte-1psp7qw"&&(N.innerHTML=gt),Ee=n(qe),l=a(qe,"UL",{});var d=ae(l);W=a(d,"LI",{"data-svelte-h":!0}),s(W)!=="svelte-1mlcl1"&&(W.innerHTML=mt),De=n(d),j=a(d,"LI",{"data-svelte-h":!0}),s(j)!=="svelte-2ipojz"&&(j.innerHTML=vt),Be=n(d),G=a(d,"LI",{"data-svelte-h":!0}),s(G)!=="svelte-85ywo4"&&(G.innerHTML=_t),Ne=n(d),U=a(d,"LI",{"data-svelte-h":!0}),s(U)!=="svelte-zk0iep"&&(U.innerHTML=bt),We=n(d),R=a(d,"LI",{"data-svelte-h":!0}),s(R)!=="svelte-bcz3ki"&&(R.innerHTML=Tt),je=n(d),O=a(d,"LI",{"data-svelte-h":!0}),s(O)!=="svelte-r5t1y5"&&(O.innerHTML=wt),Ge=n(d),K=a(d,"LI",{"data-svelte-h":!0}),s(K)!=="svelte-1y730ut"&&(K.innerHTML=Lt),Ue=n(d),J=a(d,"LI",{"data-svelte-h":!0}),s(J)!=="svelte-y5k6tr"&&(J.innerHTML=Mt),Re=n(d),Q=a(d,"LI",{"data-svelte-h":!0}),s(Q)!=="svelte-1alzr47"&&(Q.innerHTML=yt),Oe=n(d),V=a(d,"LI",{"data-svelte-h":!0}),s(V)!=="svelte-1sc5kzq"&&(V.innerHTML=Ht),Ke=n(d),X=a(d,"LI",{"data-svelte-h":!0}),s(X)!=="svelte-q3ekwx"&&(X.innerHTML=qt),Je=n(d),Y=a(d,"LI",{"data-svelte-h":!0}),s(Y)!=="svelte-19c0inm"&&(Y.innerHTML=$t),Qe=n(d),Z=a(d,"LI",{"data-svelte-h":!0}),s(Z)!=="svelte-1nw0np"&&(Z.innerHTML=xt),Ve=n(d),ee=a(d,"LI",{"data-svelte-h":!0}),s(ee)!=="svelte-nfxdvm"&&(ee.innerHTML=Ct),Xe=n(d),te=a(d,"LI",{"data-svelte-h":!0}),s(te)!=="svelte-14uxa3v"&&(te.innerHTML=St),Ye=n(d),C=a(d,"LI",{});var $e=ae(C);oe=a($e,"P",{"data-svelte-h":!0}),s(oe)!=="svelte-zzgay1"&&(oe.innerHTML=kt),Ze=n($e),le(m.$$.fragment,$e),$e.forEach(c),d.forEach(c),qe.forEach(c),et=n(p),ne=a(p,"LI",{"data-svelte-h":!0}),s(ne)!=="svelte-ywyajb"&&(ne.innerHTML=It),p.forEach(c),ye=n(e),ue=a(e,"P",{}),ae(ue).forEach(c),this.h()},h(){Ft(h,"name","hf:doc:metadata"),Ft(h,"content",Gt)},m(e,r){t(document.head,h),f(e,v,r),f(e,g,r),f(e,S,r),se(_,e,r),f(e,he,r),f(e,b,r),f(e,ge,r),se(T,e,r),f(e,me,r),f(e,w,r),f(e,ve,r),se(L,e,r),f(e,_e,r),f(e,M,r),f(e,be,r),se(y,e,r),f(e,Te,r),f(e,H,r),f(e,we,r),se(q,e,r),f(e,Le,r),f(e,$,r),f(e,Me,r),f(e,u,r),t(u,k),t(u,xe),t(u,I),t(u,Ce),t(u,F),t(u,Se),t(u,z),t(u,ke),t(u,A),t(u,Ie),t(u,P),t(u,Fe),t(u,E),t(u,ze),t(u,D),t(u,Ae),t(u,B),t(u,Pe),t(u,x),t(x,N),t(x,Ee),t(x,l),t(l,W),t(l,De),t(l,j),t(l,Be),t(l,G),t(l,Ne),t(l,U),t(l,We),t(l,R),t(l,je),t(l,O),t(l,Ge),t(l,K),t(l,Ue),t(l,J),t(l,Re),t(l,Q),t(l,Oe),t(l,V),t(l,Ke),t(l,X),t(l,Je),t(l,Y),t(l,Qe),t(l,Z),t(l,Ve),t(l,ee),t(l,Xe),t(l,te),t(l,Ye),t(l,C),t(C,oe),t(C,Ze),se(m,C,null),t(u,et),t(u,ne),f(e,ye,r),f(e,ue,r),He=!0},p(e,[r]){const p={};r&2&&(p.$$scope={dirty:r,ctx:e}),m.$set(p)},i(e){He||(re(_.$$.fragment,e),re(T.$$.fragment,e),re(L.$$.fragment,e),re(y.$$.fragment,e),re(q.$$.fragment,e),re(m.$$.fragment,e),He=!0)},o(e){de(_.$$.fragment,e),de(T.$$.fragment,e),de(L.$$.fragment,e),de(y.$$.fragment,e),de(q.$$.fragment,e),de(m.$$.fragment,e),He=!1},d(e){e&&(c(v),c(g),c(S),c(he),c(b),c(ge),c(me),c(w),c(ve),c(_e),c(M),c(be),c(Te),c(H),c(we),c(Le),c($),c(Me),c(u),c(ye),c(ue)),c(h),ce(_,e),ce(T,e),ce(L,e),ce(y,e),ce(q,e),ce(m)}}}const Gt='{"title":"SetFit v1.0.0 Migration Guide","local":"setfit-v100-migration-guide","sections":[{"title":"General Migration Guide","local":"general-migration-guide","sections":[],"depth":2},{"title":"Training Migration Guide","local":"training-migration-guide","sections":[],"depth":2},{"title":"Hard deprecations","local":"hard-deprecations","sections":[],"depth":2},{"title":"v1.0.0 Changelog","local":"v100-changelog","sections":[],"depth":2}],"depth":1}';function Ut(fe){return At(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qt extends Et{constructor(h){super(),Dt(this,h,Ut,jt,zt,{})}}export{Qt as component};
